#include "../h/rci.h"

extern int startupFxn();
extern int controlFxn();
extern int releaseFxn();

#if VXWORKS_CFG
#define main simrobDemo_
#endif

main(argc, argv)
int argc;
char **argv;
{
	RCI_DESC *td;

	rciSetOptions (EXIT_ON_ERROR);

	argc--; argv++;

	td = rciCreate ("robottask", 0x1);
	rciRate (td, 1000, 0);
	rciControlFxns (td, startupFxn, controlFxn, releaseFxn, 0);
	simScheduling (td);
	simAttachRobot (td, *argv, (char*)NULL);

	rciStart (~0);
	while (getchar() != '\n')
	   ;
	rciRelease (~0);
}
